Override image classification
curl --request POST \
--url https://backend.identifai.net/api/classification/{hash}/override \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '{}'import requests
url = "https://backend.identifai.net/api/classification/{hash}/override"
payload = {}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://backend.identifai.net/api/classification/{hash}/override', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"classification": "human",
"type": "image",
"hash": "862bb7de43b131a38b64753269d643443a21069a04ab66a56c9818956f590cb9"
}Classification
Override image classification
Submit an override for an image classification. The hash parameter uniquely identifies the submitted image file. If the same image (so the same hash) is uploaded multiple times, the override will be applied to all submissions that share this hash.
Note: This endpoint also has an alias available at /api/classification_image/{hash}/override.
Override image classification
Authorizations
Your API key.
Path Parameters
The hash of the image.
Body
application/json
The correct classification.
Available options:
human, artificial